﻿using UnityEngine;
using System.Collections;

public class Buttons : MonoBehaviour {


	private const string joystick1 = "joystick 1 button ";
	private const int CROSS = 0;
	private const int CIRCLE = 1;
	private const int SQUARE = 2;
	private const int TRIANGLE = 3;
	private const int L = 4;
	private const int R = 5;
	private const int SELECT = 6;
	private const int START = 7;
	private const int UP = 8;
	private const int RIGHT = 9;
	private const int DOWN = 10;
	private const int LEFT = 11;

	public GameObject left;
	public GameObject right;
	public Color square;
	public Color cross;
	public Color triangle;
	public Color circle;

	void Update () {

		Vector3 left_pos = left.transform.position;
		if (Input.GetKey(joystick1 + UP))
			if (left_pos.y < 1.0f) 
				left_pos += new Vector3(0, 0.1f, 0);
		if (Input.GetKey(joystick1 + DOWN))
			if (left_pos.y > -1.0f) 
				left_pos -= new Vector3(0, 0.1f, 0);
		if (Input.GetKey(joystick1 + LEFT))
			if (left_pos.z < 1.0f) 
				left_pos += new Vector3(0, 0, 0.1f);
		if (Input.GetKey(joystick1 + RIGHT))
			if (left_pos.z > -1.0f) 
				left_pos -= new Vector3(0, 0, 0.1f);
		left.transform.position = left_pos;

		if (Input.GetKey(joystick1 + CROSS))
			right.renderer.material.color = cross;
		else if (Input.GetKey(joystick1 + CIRCLE))
			right.renderer.material.color = circle;
		else if (Input.GetKey(joystick1 + SQUARE))
			right.renderer.material.color = square;
		else if (Input.GetKey(joystick1 + TRIANGLE))
			right.renderer.material.color = triangle;

		if (Input.GetKeyDown(joystick1 + SELECT))
		{
			Vector3 rpos = right.transform.position;
			Vector3 lpos = left.transform.position;
			float x = rpos.x; rpos.x = lpos.x; lpos.x = x;
			left.transform.position = lpos;
			right.transform.position = rpos;
			GameObject new_left = right;
			right = left;
			left = new_left;
		}

		if (Input.GetKeyDown(joystick1 + START))
			Application.LoadLevel(0);

		if (Input.GetKey(joystick1 + L))
			if (camera.fieldOfView > 40)
				camera.fieldOfView -= 1;

		if (Input.GetKey(joystick1 + R))
			if (camera.fieldOfView < 120)
				camera.fieldOfView += 1;
	}
}
